from setuptools import setup, find_packages

setup(
    name="data-quality-assessment",
    version="0.1.0",
    author="Godwin Wa",
    author_email="godwinacheampong89@gmail.com",
    description="A powerful web application for assessing data quality issues",
    long_description=open('README.md').read(),
    long_description_content_type="text/markdown",
    url="https://github.com/godwinwa/data-quality-app",
    packages=find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Framework :: Flask",
        "Topic :: Scientific/Engineering :: Information Analysis",
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "Intended Audience :: Science/Research",
    ],
    python_requires=">=3.8",
    install_requires=[
        "blinker==1.9.0",
        "cachelib==0.13.0",
        "click==8.1.8",
        "Flask==3.1.0",
        "Flask-Session==0.8.0",
        "gunicorn==23.0.0",
        "itsdangerous==2.2.0",
        "Jinja2==3.1.6",
        "MarkupSafe==3.0.2",
        "msgspec==0.19.0",
        "narwhals==1.34.1",
        "numpy==2.2.4",
        "packaging==24.2",
        "pandas==2.2.3",
        "plotly==6.0.1",
        "python-dateutil==2.9.0.post0",
        "pytz==2025.2",
        "setuptools==78.1.0",
        "six==1.17.0",
        "tzdata==2025.2",
        "Werkzeug==3.1.3",
    ],
    include_package_data=True,
    entry_points={
        'console_scripts': [
            'data-quality-assessment=data_quality_assessment.app:main',
        ],
    },
    project_urls={
        "Bug Reports": "https://github.com/godwinwa/data-quality-app/issues",
        "Source": "https://github.com/godwinwa/data-quality-app",
    },
)